﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAtelier.Entities;

    public class ProductMaterial
    {
    public int Id { get; private set; }
    
    public int MaterialId { get; set; }
    public string MaterialName { get; private set; } = string.Empty;
    public int Count { get; set; }

    public static ProductMaterial CreateOperation(int id, int materialid, int count)
    {
        return new ProductMaterial
        {
            Id = id,
            MaterialId = materialid,
            Count = count
        };
    }
}

