﻿using ProjectAtelier.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAtelier.Repositories;
public interface IMaterialRepository
    {
    IEnumerable<Material> ReadMaterials();
    Material ReadMaterialById(int id);
    void CreateMaterial(Material material);
    void UpdateMaterial(Material material);
    void DeleteMaterial(int id);
}

